﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using Sharpex2D.Framework.Math;
using Sharpex2D.Framework.Rendering;
using Sharpex2D.Framework.Rendering.Devices;
using Sharpex2D.Framework.Rendering.Fonts;

namespace FlyingBird.Misc
{
    public class Scoreboard
    {
        private readonly Font _font;

        /// <summary>
        /// Gets or sets the Score.
        /// </summary>
        public int Score { set; get; }

        /// <summary>
        /// Initializes a new Scoreboard class.
        /// </summary>
        public Scoreboard()
        {
            _font = new Font("Segoe UI", 45, TypefaceStyle.Bold);
        }

        /// <summary>
        /// Renders the object.
        /// </summary>
        /// <param name="renderer">The Renderer.</param>
        public void Render(RenderDevice renderer)
        {
            var dim = renderer.MeasureString(Score.ToString(CultureInfo.InvariantCulture), _font);
            renderer.DrawString(Score.ToString(CultureInfo.InvariantCulture), _font, new Vector2(320 - (dim.X/2), 50), Color.White);
        }
    }
}
